<?xml version="1.0" encoding="UTF-8"?>
<odoo>
<record id="view_sos_rework_log_tree" model="ir.ui.view">
    <field name="name">sos.rework.log.tree</field>
    <field name="model">sos_rework_log</field>
    <field name="arch" type="xml">
        <tree string="Rework Log">
            <field name="ncmr_no"/>
            <field name="fptc_no"/>
            <field name="product_name"/>
            <field name="product_code"/>
            <field name="product_sl_no_batch_code"/>
            <field name="date_time"/>
            <field name="rework_qty"/>
            <field name="status"/>
            <field name="time_taken_rework"/>
            <field name="component_replaced"/>
            <field name="reason_replacement"/>
            <field name="iteration_no"/>
            <field name="fptcr_no"/>
            <field name="remark"/>
            <field name="write_uid" string="Last Edited By" optional="hide"/>
                <field name="write_date" string="Last Edited On" optional="hide"/>
        </tree>
    </field>
</record>

<record id="view_sos_rework_log_form" model="ir.ui.view">
    <field name="name">sos.rework.log.form</field>
    <field name="model">sos_rework_log</field>
    <field name="arch" type="xml">
        <form string="Rework Log">
            <sheet>
                <group>
                    <field name="ncmr_no"/>
                    <field name="fptc_no"/>
                    <field name="product_name"/>
                    <field name="product_code"/>
                    <field name="product_sl_no_batch_code"/>
                    <field name="date_time"/>
                    <field name="rework_qty"/>
                    <field name="status"/>
                    <field name="time_taken_rework"/>
                    <field name="component_replaced"/>
                    <field name="reason_replacement"/>
                    <field name="iteration_no"/>
                    <field name="fptcr_no"/>
                    <field name="remark"/>
                </group>
            </sheet>
        </form>
    </field>
</record>

<record id="action_sos_rework_log" model="ir.actions.act_window">
    <field name="name">Rework Log</field>
    <field name="res_model">sos_rework_log</field>
    <field name="view_mode">tree,form</field>
</record>

<menuitem id="menu_sos_rework_log" name="Rework Log" parent="cnp_forms_menu_root" action="action_sos_rework_log" groups="sos_inventory.sos_qc_user,sos_inventory.sos_qa_user,sos_inventory.sos_production_user,sos_inventory.sos_management_user"/>
</odoo>